From 5ac6d302f769db6f4625be0cf6a5bae4aa60de40 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Tue, 16 Aug 2022 18:51:10 -0500
Subject: [PATCH 06/17] avoid shadow vars: basebackup_target.c: ttype

backpatch to v15

commit e4ba69f3f4a1b997aa493cc02e563a91c0f35b87
Author: Robert Haas <rhaas@postgresql.org>
Date:   Tue Mar 15 13:22:04 2022 -0400

    Allow extensions to add new backup targets.
---
 src/backend/backup/basebackup_target.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/backup/basebackup_target.c b/src/backend/backup/basebackup_target.c
index 83928e32055..8d10fe15530 100644
--- a/src/backend/backup/basebackup_target.c
+++ b/src/backend/backup/basebackup_target.c
@@ -73,7 +73,7 @@ BaseBackupAddTarget(char *name,
 	/* Search the target type list for an existing entry with this name. */
 	foreach(lc, BaseBackupTargetTypeList)
 	{
-		BaseBackupTargetType *ttype = lfirst(lc);
+		ttype = lfirst(lc);
 
 		if (strcmp(ttype->name, name) == 0)
 		{
-- 
2.17.1

